<?php
//set Kirki config
Kirki::add_config( 'seopress_config', array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

//set logo in customizer header
function seopress_configuration_sample_styling( $config )
{
	return wp_parse_args( array(
		'logo_image'   => get_template_directory_uri() . '/images/logo_for_kirki.png',
		'description'  => __( 'SEOPress Theme by <a target="_blank" href="http://ewptheme.com/">EWP Theme</a>.', 'seopress' ),
	), $config );
}
add_filter( 'kirki/config', 'seopress_configuration_sample_styling' );

//the main panel
Kirki::add_panel( 'seopress_options', array(
    'priority'    => 10,
    'title'       => esc_attr__( 'SEOPress Options', 'seopress' ),
    'description' => esc_attr__( 'All options of seopress theme', 'seopress' ),
) );

//typography
Kirki::add_section( 'typography_options', array(
	'title'          => esc_attr__( 'Typography Options', 'seopress' ),
	'panel'          => 'seopress_options', // Not typically needed.
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_body_typog',
	'label'       => esc_attr__( 'Body Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Lora',
		'variant'        => 'regular'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_body_h1_typog',
	'label'       => esc_attr__( 'H1 / Headline 1 Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '22px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'uppercase'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body h1, .h1',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_body_h2_typog',
	'label'       => esc_attr__( 'H2 / Headline 2 Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '22px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'uppercase'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body h2, .h2',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_body_h3_typog',
	'label'       => esc_attr__( 'H3 / Headline 3 Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '22px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'uppercase'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body h3, .h3',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_body_h4_typog',
	'label'       => esc_attr__( 'H4 / Headline 4 Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '20px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'inherit'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body h4, .h4',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_body_h5_typog',
	'label'       => esc_attr__( 'H5 / Headline 5 Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '20px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'inherit'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body h5, .h5',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_body_h6_typog',
	'label'       => esc_attr__( 'H6 / Headline 6 Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Arvo',
		'variant'        => 'regular',
		'font-size'      => '20px',
		'line-height'    => '1.1',
		'letter-spacing' => '0',
		'text-transform' => 'inherit'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => 'body h6, .h6',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_body_p_typog',
	'label'       => esc_attr__( 'Paragraph Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Fauna One',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '1.7',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'inherit',
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => '#maincontainer p',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_top_bar_typog',
	'label'       => esc_attr__( 'Top Bar Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '22px',
		'letter-spacing' => '0px',
		'text-transform' => 'inherit',
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => '.bgtoph',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_top_menu_typog',
	'label'       => esc_attr__( 'Main Menu Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Rajdhani',
		'variant'        => '500',
		'font-size'      => '22px'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => '#navbar ul.navbar-nav li a',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'sb_menu_typo',
	'label'       => esc_attr__( 'Sidebar Menu Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Rajdhani',
		'variant'        => '500',
		'font-size'      => '18px',
		'line-height'    => '25px',
		'letter-spacing' => '0.1px',
		'text-transform' => 'inherit',
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => '.side-menu-menu-wrap ul li a',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'sb_menu_onoff',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_widget_ul_ol_typog',
	'label'       => esc_attr__( 'Widgets UL/OL Typography', 'seopress' ),
	'description' => esc_attr__( 'Widgets Unordered List / Ordered List Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.1px',
		'text-transform' => 'inherit'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => '.widget_sidebar_main ul li, .widget_sidebar_main ol li',
		),
		array(
			'element' => '.widgets_footer ul li, .widgets_footer ol li',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'body_ul_ol_li_typog',
	'label'       => esc_attr__( 'Container UL/OL Typography', 'seopress' ),
	'description' => esc_attr__( 'Typography for list in main contents.', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Fauna One',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height'    => '1.6',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'inherit',
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => '.entry-content ul li, .entry-content ol li',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_mn_footer_typog',
	'label'       => esc_attr__( 'Footer Widgets Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '1.7',
		'letter-spacing' => '0',
		'text-transform' => 'inherit'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => '.footer',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'typography',
	'settings'    => 'seopress_cprt_footer_typog',
	'label'       => esc_attr__( 'Footer Copyright Typography', 'seopress' ),
	'section'     => 'typography_options',
	'default'     => array(
		'font-family'    => 'Roboto',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '1',
		'letter-spacing' => '0',
		'text-transform' => 'inherit'
	),
	'priority'    => 10,
	'output'      => array(
		array(
			'element' => '.footer-copyright',
		),
	),
	'transport' => 'auto',
) );

//typography END

//top bar
Kirki::add_section( 'top_bar', array(
	'title'          => esc_attr__( 'Top Bar Options', 'seopress' ),
	'panel'          => 'seopress_options', // Not typically needed.
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'seopress_display_top_bar',
	'label'       => esc_attr__( 'Top Bar Feature', 'seopress' ),
	'description' => esc_attr__( 'Enable/Disable Top Bar', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '1',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'display_sicons_top_bar',
	'label'       => esc_attr__( 'Social Icons', 'seopress' ),
	'description' => esc_attr__( 'Enable/Disable Social Icons', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '1',
	'priority'    => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 's_link_open',
	'label'       => esc_attr__( 'Social Links in New Tab?', 'seopress' ),
	'description' => esc_attr__( 'Open social links in new tab or same.', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '1',
	'priority'    => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
		array(
			'setting'  => 'display_sicons_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_top_bar_color',
	'label'       => esc_attr__( 'Top Bar Color', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.bgtoph',
			'property' => 'color',
		),
		array(
			'element'  => '.bgtoph-icon-clr',
			'property' => 'color',
		),
		array(
			'element'  => '.bgtoph-icon-clr',
			'property' => 'border-color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_top_bar_bg_color',
	'label'       => esc_attr__( 'Top Bar Background Color', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '#337ab7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.bgtoph',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_top_bar_link_color',
	'label'       => esc_attr__( 'Top Bar Links Color', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.bgtoph a',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_top_bar_mover_link_color',
	'label'       => esc_attr__( 'Mouse Over Links Color', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.bgtoph a:hover',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'select',
	'settings'    => 'seopress_tpbr_left_view',
	'label'       => esc_attr__( 'Top Bar Left Content View', 'seopress' ),
	'description' => esc_attr__( 'Simply phone, email or Text/HTML or Disable ?', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '1',
	'priority'    => 10,
	'choices'     => array(
		'1' => esc_attr__( 'Text / HTML', 'seopress' ),
		'2' => esc_attr__( 'Phone and Email', 'seopress' ),
		'3' => esc_attr__( 'Disable', 'seopress' ),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_tpbr_lft_phne',
	'label'			=> esc_attr__( 'Phone Number', 'seopress' ),
	'description' 	=> esc_attr__( 'Leave empty for disable.', 'seopress' ),
	'section'		=> 'top_bar',
	'default'		=> '0123456789',
	'priority'		=> 10,
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
		array(
			'setting'  => 'seopress_tpbr_left_view',
			'operator' => '==',
			'value'    => 2,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_tpbr_lft_email',
	'label'			=> esc_attr__( 'Email Address', 'seopress' ),
	'description' 	=> esc_attr__( 'Leave empty for disable.', 'seopress' ),
	'section'		=> 'top_bar',
	'default'		=> 'info@example.com',
	'priority'		=> 10,
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
		array(
			'setting'  => 'seopress_tpbr_left_view',
			'operator' => '==',
			'value'    => 2,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'editor',
	'settings'    => 'seopress_top_bar_left_content',
	'label'       => esc_attr__( 'Top Bar Left Content', 'seopress' ),
	'description' => esc_attr__( 'Content/HTML of Top Bar Left Side | Leave empty for disable', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '<p><span class="fa fa-phone"></span> Call: <a href="tel:0123456789">0123456789</a> | <span class="fa fa-at"></span> Email: <a href="mailto:info@example.com">info@example.com</a></p>',
	'priority'    => 10,
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'  => '.topbar_ctmzr',
			'function' => 'html',
		),
	),
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
		array(
			'setting'  => 'seopress_tpbr_left_view',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'top_bar_seach_icon',
	'label'       => esc_attr__( 'Search Icon', 'seopress' ),
	'description' => esc_attr__( 'Enable/Disable Search Icon', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '1',
	'priority'    => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'tp_br_sf_clr',
	'label'       => esc_attr__( 'Search Form Color', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => '#337ab7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.scp-search__input, .scp-btn, .scp-search__info',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
		array(
			'setting'  => 'top_bar_seach_icon',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'tp_br_sf_bg_clr',
	'label'       => esc_attr__( 'Search Form Background Color', 'seopress' ),
	'section'     => 'top_bar',
	'default'     => 'rgba(18, 23, 56, 0.9)',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.scp-search',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_display_top_bar',
			'operator' => '==',
			'value'    => 1,
		),
		array(
			'setting'  => 'top_bar_seach_icon',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

//top bar END

//Header layout
Kirki::add_section( 'header_layout_section', array(
	'title'          => esc_attr__( 'Header Layout Options', 'seopress' ),
	'panel'          => 'seopress_options', // Not typically needed.
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'radio-image',
	'settings'		=> 'header_layout',
	'label'			=> esc_attr__( 'Select Header Layout', 'seopress' ),
	'description'	=> esc_attr__( 'Save and reload front page for alignment', 'seopress' ),
	'section'		=> 'header_layout_section',
	'default'		=> '1',
	'priority'		=> 10,
	'choices'		=> array(
		'1'		=> get_template_directory_uri() . '/images/header-1.png',
		'2'		=> get_template_directory_uri() . '/images/header-2.png',
		'3'		=> get_template_directory_uri() . '/images/header-3.png',
		'4'		=> get_template_directory_uri() . '/images/header-4.png',
		'5'		=> get_template_directory_uri() . '/images/header-5.png',
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'slider',
	'settings'    => 'custom_logo_width',
	'label'       => esc_attr__( 'Logo Width', 'seopress' ),
	'description'    => esc_attr__( 'Width will be set in Pixel. Height is automatic to maintain quality of Logo', 'seopress' ),
	'section'     => 'title_tagline',
	'default'     => '360',
	'priority'    => 9,
	'choices'     => array(
		'min'  => '10',
		'max'  => '600',
		'step' => '1',
	),
	'output' => array(
		array(
			'element'	=> '.custom-logo',
			'property'	=> 'width',
			'suffix'	=> 'px',
		),
	),
	'transport' => 'auto',
) );
//Header layout END

//color options
Kirki::add_section( 'color_options', array(
	'title'          => esc_attr__( 'Color Options', 'seopress' ),
	'description'    => esc_attr__( 'Here you can find options to set colors. Color options for top bar, comment and footer are available in their section.', 'seopress' ),
	'panel'          => 'seopress_options', // Not typically needed.
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'custom',
	'settings'    => 'seopress_info_default_a_color',
	'section'     => 'color_options',
	'default'     => '<div style="padding: 10px;background-color: #333; color: #fff; border-radius: 8px;">' . esc_html__( 'This is color of all default links like color of recent posts in widget, comment reply link etc.', 'seopress' ) . '</div>',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_default_a_color',
	'label'       => esc_attr__( 'Default Color of Links', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#337ab7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => 'body a, .woocommerce .woocommerce-breadcrumb a, .woocommerce .star-rating span',
			'property' => 'color',
		),
		array(
			'element'  => '.widget_sidebar_main ul li::before',
			'property' => 'color',
		),
		array(
			'element'  => '.navigation.pagination .nav-links .page-numbers, .navigation.pagination .nav-links .page-numbers:last-child',
			'property' => 'border-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_default_a_mover_color',
	'label'       => esc_attr__( 'Default Color of Mouse Over Links', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#23527c',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => 'body a:hover, .woocommerce .woocommerce-breadcrumb a:hover',
			'property' => 'color',
		),
		array(
			'element'  => '.widget_sidebar_main ul li:hover::before',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'custom',
	'settings'    => 'seopress_info_wdgt_title',
	'section'     => 'color_options',
	'default'     => '<hr /><div style="padding: 10px;background-color: #333; color: #fff; border-radius: 8px;">' . esc_html__( 'Here you can set color, background color and borer left color to page, post and widget titles.', 'seopress' ) . '</div>',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_wdgt_title_color',
	'label'       => esc_attr__( 'Widget Title / Headline Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.widget_sidebar_main .right-widget-title',
			'property' => 'color',
		),
		array(
			'element'  => '.content-first .content-second h3.the-title',
			'property' => 'color',
		),
		array(
			'element'  => '.content-first .content-second h3.the-title a',
			'property' => 'color',
		),
		array(
			'element'  => '.content-first .content-second h1.the-title, .woocommerce .left-content h1.page-title',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_wdgt_title_bg_color',
	'label'       => esc_attr__( 'Widget Title / Headline Background Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#337ab7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.widget_sidebar_main .right-widget-title',
			'property' => 'background-color',
		),
		array(
			'element'  => '.content-first .content-second h3.the-title',
			'property' => 'background-color',
		),
		array(
			'element'  => '.content-first .content-second h1.the-title, .woocommerce .left-content h1.page-title',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_wdgt_title_lborder_color',
	'label'       => esc_attr__( 'Widget Title / Headline Left Border Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#000000',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.widget_sidebar_main .right-widget-title',
			'property' => 'border-color',
		),
		array(
			'element'  => '.content-first .content-second h3.the-title',
			'property' => 'border-color',
		),
		array(
			'element'  => '.content-first .content-second h1.the-title, .woocommerce .left-content h1.page-title',
			'property' => 'border-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'custom',
	'settings'    => 'seopress_info_default_btn',
	'section'     => 'color_options',
	'default'     => '<hr /><div style="padding: 10px;background-color: #333; color: #fff; border-radius: 8px;">' . esc_html__( 'This button is using as comment submit button, search button, woocommerce buttons, tags button, back to top button etc', 'seopress' ) . '</div>',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_btn_color',
	'label'       => esc_attr__( 'Default Button Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.seopressbtn',
			'property' => 'color',
		),
		array(
			'element'  => '.wpcf7-form .wpcf7-form-control.wpcf7-submit',
			'property' => 'color',
		),
		array(
			'element'  => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
			'property' => 'color',
		),
		array(
			'element'  => '.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover',
			'property' => 'color',
		),
		array(
			'element'	=> '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt',
			'property'	=> 'color',
			'suffix'	=> '!important',
		),
		array(
			'element'  => '.tagcloud a',
			'property' => 'color',
			'suffix'	=> '!important',
		),
		array(
			'element'  => '.singletags a',
			'property' => 'color',
		),
		array(
			'element'  => '#back-to-top, .social_profile-icon-clr, .bbp-submit-wrapper .button',
			'property' => 'color',
		),
		array(
			'element'  => '.singletags a:hover',
			'property' => 'color',
		),
		array(
			'element'  => '.side-menu-menu-button',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_btn_bg_color',
	'label'       => esc_attr__( 'Default Button Background Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#337ab7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.seopressbtn',
			'property' => 'background-color',
		),
		array(
			'element'  => '.wpcf7-form .wpcf7-form-control.wpcf7-submit',
			'property' => 'background-color',
		),
		array(
			'element'  => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
			'property' => 'background-color',
		),
		array(
			'element'	=> '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt',
			'property'	=> 'background-color',
			'suffix'	=> '!important',
		),
		array(
			'element'  => '.tagcloud a',
			'property' => 'background-color',
		),
		array(
			'element'  => '.tagcloud a::before',
			'property' => 'border-right-color',
		),
		array(
			'element'  => '.singletags a',
			'property' => 'background-color',
		),
		array(
			'element'  => '.singletags a::before',
			'property' => 'border-right-color',
		),
		array(
			'element'  => '.woocommerce .widget_price_filter .ui-slider .ui-slider-handle, .woocommerce .widget_price_filter .ui-slider .ui-slider-range',
			'property' => 'background-color',
		),
		array(
			'element'  => '#back-to-top, .seopress_social_widget a, .bbp-submit-wrapper .button',
			'property' => 'background-color',
		),
		array(
			'element'  => '.side-menu-menu-button',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_btn_mover_bg_color',
	'label'       => esc_attr__( 'Default Button Mouser Over Background Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#286090',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.seopressbtn:hover',
			'property' => 'background-color',
		),
		array(
			'element'  => '.wpcf7-form .wpcf7-form-control.wpcf7-submit:hover',
			'property' => 'background-color',
		),
		array(
			'element'  => '.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover',
			'property' => 'background-color',
			'suffix'	=> '!important',
		),
		array(
			'element'  => '.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover',
			'property' => 'background-color',
			'suffix'	=> '!important',
		),
		array(
			'element'  => '.woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content',
			'property' => 'background-color',
		),
		array(
			'element'  => '.tagcloud a:hover',
			'property' => 'background-color',
		),
		array(
			'element'  => '.tagcloud a:hover::before',
			'property' => 'border-right-color',
		),
		array(
			'element'  => '.singletags a:hover',
			'property' => 'background-color',
		),
		array(
			'element'  => '.singletags a:hover::before',
			'property' => 'border-right-color',
		),
		array(
			'element'  => '#back-to-top:hover, .seopress_social_widget a:hover, .bbp-submit-wrapper .button:hover',
			'property' => 'background-color',
		),
		array(
			'element'  => '.side-menu-menu-button:hover',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'custom',
	'settings'    => 'seopress_info_menu',
	'section'     => 'color_options',
	'default'     => '<hr /><div style="padding: 10px;background-color: #333; color: #fff; border-radius: 8px;">' . esc_html__( 'Main Menu color will work, if you are using default / theme menu feature.', 'seopress' ) . '</div>',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_menu_color',
	'label'       => esc_attr__( 'Main Menu: Items Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '#navbar ul li a',
			'property' => 'color',
		),
		array(
			'element'  => '#navbar ul.dropdown-menu li a',
			'property' => 'color',
			'suffix' 	=> '!important',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_mover_active_color',
	'label'       => esc_attr__( 'Main Menu: Active Item Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#000000',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '#navbar ul li:hover a, #navbar ul li.current-menu-parent a',
			'property' => 'color',
		),
		array(
			'element'  => '#navbar ul.dropdown-menu li:hover a, #navbar ul.dropdown-menu .current-menu-item a, #navbar .current-menu-item a, #navbar .current_page_item a',
			'property' => 'color',
			'suffix' 	=> '!important',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_bg_color',
	'label'       => esc_attr__( 'Main Menu: Background Color', 'seopress' ),
	'description' => esc_attr__( 'This will Background Color of entire menu section. (also for mega menu)', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#337ab7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '#navbar, #navbar ul.dropdown-menu',
			'property' => 'background-color',
		),
		array(
			'element'  => '.seop_uberm_me',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_menu_mover_active_bg_color',
	'label'       => esc_attr__( 'Main Menu: Active Item Background Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#e7e7e7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '#navbar .current-menu-item, #navbar .menu-item-type-custom:hover, #navbar .menu-item-type-post_type:hover, #navbar .menu-item-type-taxonomy:hover, #navbar ul li.current-menu-parent',
			'property' => 'background-color',
		),
		array(
			'element'  => '#navbar ul.dropdown-menu li:hover a, #navbar ul.dropdown-menu .current-menu-item a',
			'property' => 'background-color',
			'suffix' 	=> '!important',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_menu_toggle_btn_color',
	'label'       => esc_attr__( 'Main Menu: Toggle Button Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#f3f3f3',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.navbar-default .navbar-toggle, .navbar-default .navbar-toggle:hover, .navbar-default .navbar-toggle:focus',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'dd_menu_tgl_btn_clr',
	'label'       => esc_attr__( 'Main Menu: Drop Down Menu Toggle Button Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#000000',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.dropdowntoggle',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'custom',
	'settings'    => 'seopress_info_breadcrumb',
	'section'     => 'color_options',
	'default'     => '<hr />',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_breadcrumb_bg_color',
	'label'       => esc_attr__( 'Breadcrumb Background Color', 'seopress' ),
	'description' => esc_attr__( 'Blog Breadcrumb Background Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#f5f5f5',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.breadcrumb',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'custom',
	'settings'    => 'seopress_info_maingdr_clr',
	'section'     => 'color_options',
	'default'     => '<hr />',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_maingdr_clr',
	'label'       => esc_attr__( 'Main Header Background Color', 'seopress' ),
	'section'     => 'color_options',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.headermain',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );
//color options END

//social profile
Kirki::add_section( 'social_options', array(
	'title'          => esc_attr__( 'Social Profile', 'seopress' ),
	'panel'          => 'seopress_options', // Not typically needed.
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_social_profile_link_facebook',
	'label'			=> esc_attr__( 'Facebook Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> 'http://facebook.com',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_social_profile_link_twitter',
	'label'			=> esc_attr__( 'Twitter Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> 'http://twitter.com',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_social_profile_link_youtube',
	'label'			=> esc_attr__( 'YouTube Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> 'http://youtube.com',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_social_profile_link_vk',
	'label'			=> esc_attr__( 'VK Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_social_profile_link_googleplus',
	'label'			=> esc_attr__( 'Google Plus Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_social_profile_link_linkedin',
	'label'			=> esc_attr__( 'Linkedin Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_social_profile_link_pinterest',
	'label'			=> esc_attr__( 'Pinterest Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_instagram',
	'label'			=> esc_attr__( 'Instagram Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_telegram',
	'label'			=> esc_attr__( 'Telegram Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_snapchat',
	'label'			=> esc_attr__( 'Snapchat Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_flickr',
	'label'			=> esc_attr__( 'Flickr Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_reddit',
	'label'			=> esc_attr__( 'Reddit Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_tumblr',
	'label'			=> esc_attr__( 'Tumblr Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_yelp',
	'label'			=> esc_attr__( 'Yelp Link', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'sprofile_link_whatsappno',
	'label'			=> esc_attr__( 'WhatsApp Number', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'text',
	'settings'		=> 'seopress_social_profile_link_skype',
	'label'			=> esc_attr__( 'Skype Id', 'seopress' ),
	'description'	=> esc_attr__( 'Leave empty for disable', 'seopress' ),
	'section'		=> 'social_options',
	'default'		=> '',
	'priority'		=> 10,
) );
//social profile END


// Blog
Kirki::add_section( 'blog_options', array(
	'title'          => esc_attr__( 'Blog Options', 'seopress' ),
	'panel'          => 'seopress_options', // Not typically needed.
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '', // Rarely needed.
) );
	
Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'seopress_breadcrumbx_setting',
	'label'       => esc_attr__( 'Breadcrumb', 'seopress' ),
	'description' => esc_attr__( 'Enable/Disable Breadcrumb', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '1',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'			=> 'toggle',
	'settings'		=> 'seopress_archive_post_thumbnail',
	'label'			=> esc_attr__( 'Thumbnail on Archive Post', 'seopress' ),
	'description'	=> esc_attr__( 'Enable/Disable Thumbnail on Archive/Loop Page', 'seopress' ),
	'section'		=> 'blog_options',
	'default'		=> '1',
	'priority'		=> 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'seopress_single_post_thumbnail',
	'label'       => esc_attr__( 'Thumbnail on Single Post', 'seopress' ),
	'description' => esc_attr__( 'Enable/Disable Thumbnail on Single Post', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '1',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'seopress_posts_meta_disply',
	'label'       => esc_attr__( 'Display Post Meta on Archive', 'seopress' ),
	'description' => esc_attr__( 'Show/Hide post meta on archive / loop posts like: author, category, date.', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '1',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'seopress_post_meta_disply',
	'label'       => esc_attr__( 'Display Post Meta on Single Post', 'seopress' ),
	'description' => esc_attr__( 'Show/Hide post meta on single post like: author, category, date.', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '1',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'seopress_sticky_dt_disply',
	'label'       => esc_attr__( 'Display Sticky Post Date', 'seopress' ),
	'description' => esc_attr__( 'Show/Hide date of sticky post on archive/loop page.', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '1',
	'priority'    => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_posts_meta_disply',
			'operator' => '==',
			'value'    => 1,
			),
		)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'select',
	'settings'    => 'seopress_post_date_view',
	'label'       => esc_attr__( 'Post Date View', 'seopress' ),
	'description' => esc_attr__( 'Which date do you want to display for single post?', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '1',
	'priority'    => 10,
	'choices'     => array(
		'1' => esc_attr__( 'Display Updated Date', 'seopress' ),
		'2' => esc_attr__( 'Display Publish Date', 'seopress' ),
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'select',
	'settings'    => 'excerpt_or_content',
	'label'       => esc_attr__( 'Display Excerpt or Content on Archive', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => 'excerpt',
	'priority'    => 10,
	'choices'     => array(
		'excerpt' => esc_attr__( 'Display Excerpt', 'seopress' ),
		'content' => esc_attr__( 'Display Content', 'seopress' ),
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'number',
	'settings'    => 'seopress_excerpt_length',
	'label'       => esc_attr__( 'Excerpt Length', 'seopress' ),
	'description' => esc_attr__( 'How much words you want to display on Archive page?', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => 40,
	'choices'     => array(
		'min'  => 1,
		'step' => 1,
	),
	'active_callback'  => array(
		array(
			'setting'  => 'excerpt_or_content',
			'operator' => '==',
			'value'    => 'excerpt',
		),
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'select',
	'settings'    => 'display_archive_pagination',
	'label'       => esc_attr__( 'Display Pagination on Archive', 'seopress' ),
	'description' => esc_attr__( 'Which type of pagination, you want to display?', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => 'nextprev',
	'priority'    => 10,
	'choices'     => array(
		'nextprev'	=> esc_attr__( 'Next Previous Pagination', 'seopress' ),
		'number' 	=> esc_attr__( 'Number Pagination', 'seopress' ),
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'radio-image',
	'settings'    => 'seopress_blog_archive_layout',
	'label'       => esc_attr__( 'Archive / Loop Layout', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => 'rights',
	'priority'    => 10,
	'choices'     => array(
		'fullw'	  => get_template_directory_uri() . '/images/fullw.png',
		'rights'  => get_template_directory_uri() . '/images/rights.png',
		'lefts'   => get_template_directory_uri() . '/images/lefts.png',
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'radio-image',
	'settings'    => 'seopress_blog_single_layout',
	'label'       => esc_attr__( 'Single Post Layout', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => 'rights',
	'priority'    => 10,
	'choices'     => array(
		'fullw'	  => get_template_directory_uri() . '/images/fullw.png',
		'rights'  => get_template_directory_uri() . '/images/rights.png',
		'lefts'   => get_template_directory_uri() . '/images/lefts.png',
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'     => 'textarea',
	'settings' => 'seopress_comment_panel_title',
	'label'    => esc_attr__( 'Comment Box Headline', 'seopress' ),
	'section'  => 'blog_options',
	'default'  => 'Have any Question or Comment?',
	'priority' => 10,
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'  => '.cmnthdlne_ctmzr',
			'function' => 'html',
		),
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'custom',
	'settings'    => 'seopress_info_cmnt',
	'section'     => 'blog_options',
	'default'     => '<hr /><div style="padding: 10px;background-color: #333; color: #fff; border-radius: 8px;">' . esc_html__( 'Comments display in Even Odd order like Even, Odd, Even, Odd as so on. here we can set color and background color for both Even and Odd comment.', 'seopress' ) . '</div>',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_cmnt_even_color',
	'label'       => esc_attr__( 'Even Comment Color', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '#000000',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '#comments .comment.even',
			'property' => 'color',
		),
		array(
			'element'  => '#comments .pingback.even',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_cmnt_even_bg_color',
	'label'       => esc_attr__( 'Even Comment Background Color', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '#f8f8f8',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '#comments .comment.even',
			'property' => 'background-color',
		),
		array(
			'element'  => '#comments .pingback.even',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_cmnt_odd_color',
	'label'       => esc_attr__( 'Odd Comment Color', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '#000000',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '#comments .comment.odd',
			'property' => 'color',
		),
		array(
			'element'  => '#comments .pingback.odd',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_cmnt_odd_bg_color',
	'label'       => esc_attr__( 'Odd Comment Background Color', 'seopress' ),
	'section'     => 'blog_options',
	'default'     => '#eeeeee',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '#comments .comment.odd',
			'property' => 'background-color',
		),
		array(
			'element'  => '#comments .pingback.odd',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );
// Blog END

// Sidebar menu options
Kirki::add_section( 'sidebarmenu_options', array(
	'title'          => esc_attr__( 'Sidebar Menu Options', 'seopress' ),
	'panel'          => 'seopress_options', // Not typically needed.
	'priority'       => 10,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'sb_menu_onoff',
	'label'       => esc_attr__( 'Side Bar Menu', 'seopress' ),
	'description' => esc_attr__( 'Enable/Disable Side Bar Menu', 'seopress' ),
	'section'     => 'sidebarmenu_options',
	'default'     => '1',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'sb_menu_clr',
	'label'       => esc_attr__( 'Sidebar Menu: Items Color', 'seopress' ),
	'section'     => 'sidebarmenu_options',
	'default'     => '#d5d5d5',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'	=> '.side-menu-menu-wrap ul li a',
			'property'	=> 'color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'sb_menu_onoff',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'sb_menu_mover_clr',
	'label'       => esc_attr__( 'Sidebar Menu: Active Item Color', 'seopress' ),
	'section'     => 'sidebarmenu_options',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'	=> '.side-menu-menu-wrap ul li a:hover, .side-menu-menu-wrap ul li.current_page_item a, .side-menu-menu-wrap ul li.current-menu-item a',
			'property'	=> 'color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'sb_menu_onoff',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'sb_menu_bg_clr',
	'label'       => esc_attr__( 'Sidebar Menu: Background Color', 'seopress' ),
	'section'     => 'sidebarmenu_options',
	'default'     => 'rgba(52, 122, 183, 0.80)',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'	=> '.side-menu-menu-wrap',
			'property'	=> 'background-color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'sb_menu_onoff',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'sb_menu_cls_btn_clr',
	'label'       => esc_attr__( 'Sidebar Menu: Menu Close Icon Color', 'seopress' ),
	'section'     => 'sidebarmenu_options',
	'default'     => '#bdc3c7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'	=> '.side-menu-close-button::before, .side-menu-close-button::after',
			'property'	=> 'background-color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'sb_menu_onoff',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );
// Sidebar menu options END

//woocommerce section
if( class_exists( 'WooCommerce' ) )
{
	Kirki::add_section( 'woocommerce_options', array(
		'title'          => esc_attr__( 'Woocommerce Options', 'seopress' ),
		'panel'          => 'seopress_options', // Not typically needed.
		'priority'       => 10,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '', // Rarely needed.
	) );
	
	Kirki::add_field( 'seopress_config', array(
		'type'        => 'toggle',
		'settings'    => 'seopress_display_shop_link_top_bar',
		'label'       => esc_attr__( 'Display shop icon in Top Bar?', 'seopress' ),
		'description' => esc_attr__( 'Enable/Disable shop icon in Top Bar', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '1',
		'priority'    => 10,
	) );
	
	Kirki::add_field( 'seopress_config', array(
		'type'        => 'toggle',
		'settings'    => 'seopress_display_cart_link_top_bar',
		'label'       => esc_attr__( 'Display cart icon in Top Bar?', 'seopress' ),
		'description' => esc_attr__( 'Enable/Disable cart icon in Top Bar', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '1',
		'priority'    => 10,
	) );
	
	Kirki::add_field( 'seopress_config', array(
		'type'        => 'toggle',
		'settings'    => 'seopress_display_myaccount_link_top_bar',
		'label'       => esc_attr__( 'Display My Account icon in Top Bar?', 'seopress' ),
		'description' => esc_attr__( 'Enable/Disable My Account icon in Top Bar', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '1',
		'priority'    => 10,
	) );
	
	Kirki::add_field( 'seopress_config', array(
		'type'        => 'toggle',
		'settings'    => 'seopress_display_wc_breadcrumbs',
		'label'       => esc_attr__( 'WC Breadcrumbs', 'seopress' ),
		'description' => esc_attr__( 'Enable/Disable WooCommerce Breadcrumbs.', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '0',
		'priority'    => 10,
	) );

	Kirki::add_field( 'seopress_config', array(
		'type'        => 'toggle',
		'settings'    => 'seopress_display_related_prdkt',
		'label'       => esc_attr__( 'Related Products', 'seopress' ),
		'description' => esc_attr__( 'Enable/Disable WooCommerce Related Products.', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '1',
		'priority'    => 10,
	) );

	Kirki::add_field( 'seopress_config', array(
		'type'        => 'toggle',
		'settings'    => 'support_gallery_zoom',
		'label'       => esc_attr__( 'Gallery Zoom', 'seopress' ),
		'description' => esc_attr__( 'Enable/Disable gallery zoom support on single product.', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '1',
		'priority'    => 10,
	) );

	Kirki::add_field( 'seopress_config', array(
		'type'        => 'toggle',
		'settings'    => 'support_gallery_lightbox',
		'label'       => esc_attr__( 'Gallery Light Box', 'seopress' ),
		'description' => esc_attr__( 'Enable/Disable gallery light box support on single product.', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '1',
		'priority'    => 10,
	) );

	Kirki::add_field( 'seopress_config', array(
		'type'        => 'toggle',
		'settings'    => 'support_gallery_slider',
		'label'       => esc_attr__( 'Gallery Slider', 'seopress' ),
		'description' => esc_attr__( 'Enable/Disable gallery slider support on single product.', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '1',
		'priority'    => 10,
	) );
	
	Kirki::add_field( 'seopress_config', array(
		'type'        => 'number',
		'settings'    => 'seopress_product_per_page',
		'label'       => esc_attr__( 'Number of products display on loop page', 'seopress' ),
		'description' => esc_attr__( 'How much products you want to display on loop page?', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => 12,
		'choices'     => array(
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		),
	) );
	
	Kirki::add_field( 'seopress_config', array(
		'type'        => 'slider',
		'settings'    => 'seopress_product_per_column',
		'label'       => esc_attr__( 'Number of products display per column', 'seopress' ),
		'description' => esc_attr__( 'How much products you want to display in single line?', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => 4,
		'priority'    => 10,
		'choices'     => array(
			'min'  => '2',
			'max'  => '5',
			'step' => '1',
			),
	) );

	Kirki::add_field( 'seopress_config', array(
		'type'        => 'color',
		'settings'    => 'woo_onsale_lbl_clr',
		'label'       => esc_attr__( 'OnSale Sign Color', 'seopress' ),
		'description' => esc_attr__( 'This will be color of OnSale Sign of products.', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '#ffffff',
		'choices'     => array(
			'alpha' => true,
		),
		'priority'    => 10,
		'output' => array(
			array(
				'element'	=> '.woocommerce span.onsale',
				'property'	=> 'color',
			),
		),
		'transport' => 'auto'
	) );

	Kirki::add_field( 'seopress_config', array(
		'type'        => 'color',
		'settings'    => 'woo_onsale_lbl_bg_clr',
		'label'       => esc_attr__( 'OnSale Sign Background Color', 'seopress' ),
		'description' => esc_attr__( 'This will be background color of OnSale Sign of products.', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '#337ab7',
		'choices'     => array(
			'alpha' => true,
		),
		'priority'    => 10,
		'output' => array(
			array(
				'element'	=> '.woocommerce span.onsale',
				'property'	=> 'background-color',
			),
		),
		'transport' => 'auto'
	) );

	Kirki::add_field( 'seopress_config', array(
		'type'        => 'color',
		'settings'    => 'woo_price_clr',
		'label'       => esc_attr__( 'Product Price Color', 'seopress' ),
		'description' => esc_attr__( 'This will be color of product price.', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => '#337ab7',
		'choices'     => array(
			'alpha' => true,
		),
		'priority'    => 10,
		'output' => array(
			array(
				'element'	=> '.woocommerce ul.products li.product .price, .woocommerce div.product p.price, .woocommerce div.product span.price',
				'property'	=> 'color',
			),
		),
		'transport' => 'auto'
	) );
	
	Kirki::add_field( 'seopress_config', array(
		'type'        => 'custom',
		'settings'    => 'seopress_info_woo_layout',
		'section'     => 'woocommerce_options',
		'default'     => '<hr /><div style="padding: 10px;background-color: #333; color: #fff; border-radius: 8px;">' . esc_html__( 'This layout will apply on Shop, Single Product and Product Search Pages. If you want to set full width for Cart, Checkout and My Account pages, then edit these pages and select Full Width No Sidebar Template.', 'seopress' ) . '</div>',
		'priority'    => 10,
	) );

	Kirki::add_field( 'seopress_config', array(
		'type'        => 'radio-image',
		'settings'    => 'seopress_woo_layout',
		'label'       => esc_attr__( 'WooCommerce Page Layout', 'seopress' ),
		'section'     => 'woocommerce_options',
		'default'     => 'fullw',
		'priority'    => 10,
		'choices'     => array(
			'fullw'	  => get_template_directory_uri() . '/images/fullw.png',
			'rights'  => get_template_directory_uri() . '/images/rights.png',
			'lefts'   => get_template_directory_uri() . '/images/lefts.png',
		),
	) );
}
//woocommerce section END

//footer widgets section - footer means footer widget section (footer copyright not covered)
Kirki::add_section( 'footer_options', array(
    'title'          => esc_attr__( 'Footer Widget Options', 'seopress' ),
    'panel'          => 'seopress_options', // Not typically needed.
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'slider',
	'settings'    => 'seopress_number_of_footer_widgets',
	'label'       => esc_attr__( 'Footer Widgets', 'seopress' ),
	'description' => esc_attr__( 'How much Widgets you want? (please save and go to Widgets page to add.)', 'seopress' ),
	'section'     => 'footer_options',
	'default'     => '0',
	'priority'    => 10,
	'choices'     => array(
		'min'  => '0',
		'max'  => '4',
		'step' => '1',
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_footer_color',
	'label'       => esc_attr__( 'Color', 'seopress' ),
	'section'     => 'footer_options',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer, .footer caption',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_number_of_footer_widgets',
			'operator' => '!=',
			'value'    => 0,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_footer_bg_color',
	'label'       => esc_attr__( 'Background Color', 'seopress' ),
	'section'     => 'footer_options',
	'default'     => '#0e0e0e',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_number_of_footer_widgets',
			'operator' => '!=',
			'value'    => 0,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_footer_border_top_color',
	'label'       => esc_attr__( 'Border Top Color', 'seopress' ),
	'section'     => 'footer_options',
	'default'     => '#337ab7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer',
			'property' => 'border-color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_number_of_footer_widgets',
			'operator' => '!=',
			'value'    => 0,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_footer_wdget_headline_color',
	'label'       => esc_attr__( 'Widgets Headline Color', 'seopress' ),
	'section'     => 'footer_options',
	'default'     => '#ffffff',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer .widgets_footer_title',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_number_of_footer_widgets',
			'operator' => '!=',
			'value'    => 0,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_footer_link_color',
	'label'       => esc_attr__( 'Links Color', 'seopress' ),
	'section'     => 'footer_options',
	'default'     => '#337ab7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer a, .widgets_footer ul li::before',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_number_of_footer_widgets',
			'operator' => '!=',
			'value'    => 0,
		),
	)
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'seopress_footer_link_mover_color',
	'label'       => esc_attr__( 'Mouse Over Links Color', 'seopress' ),
	'section'     => 'footer_options',
	'default'     => '#23527C',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer a:hover, .widgets_footer ul li:hover::before',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_number_of_footer_widgets',
			'operator' => '!=',
			'value'    => 0,
		),
	)
) );
//footer section END

//footer copyright section
Kirki::add_section( 'footer_copy_options', array(
    'title'          => esc_attr__( 'Footer Copyright Options', 'seopress' ),
    'panel'          => 'seopress_options', // Not typically needed.
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'editor',
	'settings'    => 'seopress_left_footer_setting',
	'label'       => esc_attr__( 'Footer Left', 'seopress' ),
	'description' => esc_attr__( 'Content of Footer Left Side', 'seopress' ),
	'section'     => 'footer_copy_options',
	'default'     => '<p>All right reserved.</p>',
	'priority'    => 10,
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'  => '.cprtlft_ctmzr',
			'function' => 'html',
		),
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'editor',
	'settings'    => 'seopress_center_footer_setting',
	'label'       => esc_attr__( 'Footer Center', 'seopress' ),
	'description' => esc_attr__( 'Content of Footer Center Side', 'seopress' ),
	'section'     => 'footer_copy_options',
	'default'     => '<p><a href="#">Terms of Use - Privacy Policy</a></p>',
	'priority'    => 10,
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'  => '.cprtcntr_ctmzr',
			'function' => 'html',
		),
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'editor',
	'settings'    => 'seopress_right_footer_setting',
	'label'       => esc_attr__( 'Footer Right', 'seopress' ),
	'description' => esc_attr__( 'Content of Footer Right Side', 'seopress' ),
	'section'     => 'footer_copy_options',
	'default'     => '<p>' . __( 'WordPress', 'seopress' ) . ' <a target="_blank" href="http://ewptheme.com/product/seopress-pro-wordpress-theme/"><span class="fa fa-thumbs-o-up"></span> ' . __( 'SEOPress Pro', 'seopress' ) . '</a> ' . __( 'Theme', 'seopress' ) . '</p>',
	'priority'    => 10,
	'transport' => 'postMessage',
	'js_vars'   => array(
		array(
			'element'  => '.cprtright_ctmzr',
			'function' => 'html',
		),
	),
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'footer_copy_color',
	'label'       => esc_attr__( 'Color', 'seopress' ),
	'section'     => 'footer_copy_options',
	'default'     => '#a7a7a7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer-copyright',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'footer_copy_bg_color',
	'label'       => esc_attr__( 'Background Color', 'seopress' ),
	'section'     => 'footer_copy_options',
	'default'     => '#060606',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer-copyright',
			'property' => 'background-color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'footer_copy_links_color',
	'label'       => esc_attr__( 'Links Color', 'seopress' ),
	'section'     => 'footer_copy_options',
	'default'     => '#337ab7',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer-copyright a',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'color',
	'settings'    => 'footer_copy_links_hover_color',
	'label'       => esc_attr__( 'Mouse Over Links Color', 'seopress' ),
	'section'     => 'footer_copy_options',
	'default'     => '#23527c',
	'choices'     => array(
		'alpha' => true,
	),
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer-copyright a:hover',
			'property' => 'color',
		),
	),
	'transport' => 'auto',
) );
//footer copyright section END

//misc section
Kirki::add_section( 'misc_options', array(
    'title'          => esc_attr__( 'MISC Options', 'seopress' ),
    'panel'          => 'seopress_options', // Not typically needed.
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'seopress_stickymenu_setting',
	'label'       => esc_attr__( 'Sticky Menu', 'seopress' ),
	'description' => esc_attr__( 'Enable/Disable Sticky Menu (it will not work for small devices)', 'seopress' ),
	'section'     => 'misc_options',
	'default'     => '0',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'seopress_back_to_top',
	'label'       => esc_attr__( 'Back To Top Button', 'seopress' ),
	'description' => esc_attr__( 'Enable/Disable Back To Top Button', 'seopress' ),
	'section'     => 'misc_options',
	'default'     => '1',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'toggle',
	'settings'    => 'seopress_loading_icon',
	'label'       => esc_attr__( 'Page Loading Icon', 'seopress' ),
	'description' => esc_attr__( 'Enable/Disable Page Loading Icon', 'seopress' ),
	'section'     => 'misc_options',
	'default'     => '0',
	'priority'    => 10,
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'image',
	'settings'    => 'seopress_loading_icon_img',
	'label'       => __( 'Upload Custom Loading Icon', 'seopress' ),
	'description' => __( 'It will replace default loading icon.', 'seopress' ),
	'section'     => 'misc_options',
	'default'     => '',
	'priority'    => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'seopress_loading_icon',
			'operator' => '==',
			'value'    => 1,
		),
	)
) );
//misc section END

//Theme Info section
Kirki::add_section( 'seopress_theme_info', array(
    'title'          => esc_attr__( 'Theme Info', 'seopress' ),
    'panel'          => 'seopress_options', // Not typically needed.
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

Kirki::add_field( 'seopress_config', array(
	'type'        => 'custom',
	'settings'    => 'seopress_custom_sprt',
	'label'       => __( 'SEOPress Support', 'seopress' ),
	'section'     => 'seopress_theme_info',
	'default'     => '<div style="background-color: #333;border-radius: 9px;color: #fff;padding: 13px 7px;">Do you want our support? Please <a target="_blank" href="http://ewptheme.com/support/">Create a support ticket</a>.</div>',
	'priority'    => 10,
) );

//Theme Info section END
